Bug 16130 - z-index applies to non-positioned elements with opacity
: z-index applies to non-positioned elements with opacity
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: CSS
: 528+ (Nightly build)
: Macintosh Mac OS X 10.5
: P2 Normal
Assigned To: Dave Hyatt
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-25 07:28 PST by Ingo Chao
Modified: 2008-05-14 15:08 PDT (History)
3 users (show)

See Also:


Attachments
testcase (594 bytes, text/html)
2007-11-25 07:29 PST, Ingo Chao
no flags Details
Stop honoring z-index on objects that are not positioned. (1.59 KB, patch)
2008-05-14 13:01 PDT, Dave Hyatt
mitz: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ingo Chao 2007-11-25 07:28:08 PST
opacity < 1.0 forms a stacking context. But should z-index apply to an element that is not positioned? 

In the test case, opacity:0.66 and z-index:2 let a red box paint above a following blue box that has opacity:0.90 set. Not in Firefox 2.0.0.9.
Comment 1 Ingo Chao 2007-11-25 07:29:27 PST
Created attachment 17505 [details]
testcase
Comment 2 Alexey Proskuryakov 2008-02-21 07:10:45 PST
See also: bug 11905.
Comment 3 Dave Hyatt 2008-05-14 13:01:41 PDT
Created attachment 21132 [details]
Stop honoring z-index on objects that are not positioned.
Comment 4 mitz@webkit.org 2008-05-14 13:06:25 PDT
Comment on attachment 21132 [details]
Stop honoring z-index on objects that are not positioned.

r=me, please add a test case (using getComputedStyle if possible, or pixel test otherwise).
Comment 5 Dave Hyatt 2008-05-14 15:08:43 PDT
Fixed in r33458.